Jump to content

Archived

This topic is now archived and is closed to further replies.

Lmaire

Baron 58

Recommended Posts

Hello,According to the Carenado website, technical requirements for the Baron 58 is windows vista or 7. Does it mean that it won't work under windows XP?Thanks and best regards

Share this post


Link to post
Share on other sites

It works with Windows XP with Service Pack 3 installed.We already updated the product’s page.Carenado

Share this post


Link to post
Share on other sites

×
×
  • Create New...